<?php
/*************************************************************/
/* Responsive & Adblock killer promo                         */
/* Search - Index                                            */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

require_once('../includes/config.php');
require_once('../includes/functions.php');

if ( empty($config) ) {
    die('Vous devez créer les fichiers communs : <a href="http://www.carpediem-sheets.com/adblock/home.html">Cliquez ici</a> !');
}

$filterInputsArray = array(
    'sexe' => array( 'filter' => FILTER_VALIDATE_REGEXP, 'options' => array( 'regexp' => '`^(homme|femme|couple|trans)$`' ), ),
    'search' => array( 'filter' => FILTER_VALIDATE_REGEXP, 'options' => array( 'regexp' => '`^(homme|femme|couple|trans)$`' ), ),
    'age' => array( 'filter' => FILTER_VALIDATE_REGEXP, 'options' => array( 'regexp' => '`^(18\-20|21\-25|26\-30|31\-35|36\-40|plus)$`' ), ),
    'country' => array( 'filter' => FILTER_VALIDATE_REGEXP, 'options' => array( 'regexp' => '`^(France|Belgique|Suisse)$`' ), ),
    'region' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'tracker' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    );

$inputs = filter_input_array(INPUT_GET, $filterInputsArray);
if ( empty($inputs) ) {
    $inputs = array(
        'tracker' => false,
        'sexe' => 'homme',
        'search' => 'femme',
        'age' => '18-20',
        'country' => false,
        'region' => false,
        );
}

// Add tracker sufix
if ( !empty($inputs['tracker']) ) {
    $config['tracker'] = $config['tracker'] . '_' . $inputs['tracker'];
}
$config['tracker'] = $config['tracker'] . '_adr_search';

$ages = array(
    'min' => 40,
    'max' => 50,
    );
if ( preg_match('`^([0-9]{2})\-([0-9]{2})$`', $inputs['age'], $m) ) {
    $ages = array(
        'min' => $m[1],
        'max' => $m[2],
        );
}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui">

	<?php if ( !empty($inputs['region']) ) : ?>
		<title>Gratuit : Des plans cul à proximité de <?php echo $inputs['region']; ?> !</title>
	<?php elseif ( !empty($inputs['country']) ) : ?>
		<title>Gratuit : Des plans cul à proximité de <?php echo $inputs['country']; ?> !</title>
	<?php else : ?>
		 <title>Gratuit : Des plans cul à proximité !</title>
    <?php endif; ?>
	
    
    <link href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
	<link href="//fonts.googleapis.com/css?family=Open+Sans:400,300,700" rel="stylesheet">
	<link href="media/css/custom.css" rel="stylesheet">
	<link href="media/css/hover.min.css" rel="stylesheet">
    <link href="media/css/formValidation.min.css" rel="stylesheet">

</head>
<body>

<div class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <a class="navbar-brand" href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="Plans cul">Plans cul</a>
        </div>
        <div class="navbar-collapse collapse" id="navbar-main">
            <form action="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" class="navbar-form navbar-right" id="login">
                <div class="form-group"><input type="text" class="form-control" name="username" placeholder="Votre login"></div>
                <div class="form-group"><input type="text" class="form-control" name="password" placeholder="Votre mot de passe"></div>
                <button type="submit" class="btn btn-default">Me connecter</button>
            </form>
        </div>
    </div>
</div>

<br>

<div class="container container-fluid">
    <div class="row" id="profiles">
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="list-group col-md-2 col-sm-4 col-xs-6 hvr-grow-rotate">
            <li class="list-group-item">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail modalLink" data-thumb="">
            </li>
            <li class="list-group-item">
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-thumbs-up"></span></button>
                <button type="button" class="btn btn-default btn-xs modalLink" data-thumb=""><span class="glyphicon glyphicon-envelope"></span></button>
                <button type="button" class="btn btn-success btn-xs pull-right" data-thumb=""><i class="fa fa-whatsapp"></i></button>
            </li>
            <li class="list-group-item">
                <div class="media">
                    <div class="media-left">
                        <a href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" title="" class="modalLink" data-thumb="">
                            <img class="media-object img-rounded" style="width: 30px; height: 30px;" src="" alt="">
                        </a>
                    </div>
                    <div class="media-body">
                        <h5 class="media-heading"></h5>
                        <small></small>
                    </div>
                </div>
            </li>
        </ul>
    </div>

    <div class="row">
        <a class="btn btn btn-success btn-lg btn-block" href="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" role="button">
            <i class="fa fa-arrow-down" aria-hidden="true"></i> 
            Plus de profils
            <i class="fa fa-arrow-down"></i>
        </a>
    </div>

    <br>

</div>

<div class="modal fade" id="inscriptionModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

            <form action="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" method="post" id="regForm">
                <input type="hidden" name="tracker" value="<?php echo $config['tracker']; ?>">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">Inscription requise !</h4>
                </div>
                <div class="modal-body">
                    <div class="row visible-md-block visible-lg-block">
                        <div class="col-md-6">
                            <h5 class="modalPseudo"></h5>
                        </div>
                        <div class="col-md-6 pull-right">
                            <div class="btn btn-success btn-xs">
                                <span class="badge"><i class="fa fa-video-camera"></i></span> En ligne
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-4 visible-md-block visible-lg-block">
                            <div class="DHTMLoverlayDiv">
                                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="modalThumb">
                                <div class="DHTMLoverlay">
                                    <div class="bounce">
                                        <i class="fa fa-lock fa-5x fa-lg fa-inverse"></i>
                                    </div>  
                                </div>
                            </div>
                            <br>
                        </div>
                        <div class="col-md-8 col-sm-12 col-xs-12">

                            <div id="regForm-1">

                                <p class="visible-md-block visible-lg-block">Inscrivez-vous vite pour contacter de membre et pour rencontrer des membres aux les alentours de &laquo; <?php echo $inputs['region']; ?> &raquo; !</p>

                                <ol class="breadcrumb hidden-xs">
                                    <li class="active"><span class="label label-success">1</span> Ouvrez votre compte</li>
                                    <li><span class="label label-default">2</span> Validez  votre majorité</li>
                                    <li><span class="label label-default">3</span> Faites des rencontres</li>
                                </ol>

                                <div class="form-group  form-group-lg emailField">
                                    <label for="email" class="control-label">Email</label>
                                    <input type="email" class="form-control" name="email" id="email" placeholder="Ex: julien@live.fr, steph@live.fr, ...">
                                </div>
                                <div class="form-group  form-group-lg pseudoField">
                                    <label for="pseudo" class="control-label">Pseudo</label>
                                    <input type="text" class="form-control" name="pseudo" id="pseudo" placeholder="Ex: julien, steph, ...">
                                </div>
                                <div class="form-group  form-group-lg passwordField">
                                    <label for="password" class="control-label">Mot de passe</label>
                                    <input type="text" class="form-control" name="password" id="password">
                                </div>

                            </div>
                            <div id="regForm-2" style="display: none;">

                                <ol class="breadcrumb hidden-xs">
                                    <li><span class="label label-default">1</span> Ouvrez votre compte</li>
                                    <li class="active"><span class="label label-success">2</span> Validez  votre majorité</li>
                                    <li><span class="label label-default">3</span> Faites des rencontres</li>
                                </ol>
                                <p>
                                    En raison du caractère adulte des rencontres proposées, nous devons vérifier votre majorité afin d'activer votre accès illimité ! Cette étape est simple et gratuite, il vous suffit de cliquer sur le bouton ci-dessous &laquo; Je suis majeur &raquo;
                                </p>
                                <a href="about:blank;" target="_blank"  class="btn btn-success validate downloadLink" title="Valider ma majorité">
                                    <i class="fa fa-check" aria-hidden="true"></i> Je suis majeur <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i>
                                </a>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">J'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></button>
                </div>
            </form>

        </div>
    </div>
</div> 

<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="<?php echo $config['directory']; ?>/search/media/js/formValidation.min.js"></script>
<script src="<?php echo $config['directory']; ?>/search/media/js/formValidation.bootstrap.min.js"></script>
<script src="<?php echo $config['directory']; ?>/ws.php?action=geoip"></script>

<script src="<?php echo $external['ts']; ?>/api/thumbs.js"></script>

<script>
var jQuery = ThumbManager.jq;

jQuery(document).ready(function () {

    jQuery('.showCity').text(geoip_country_city[Math.floor(Math.random() * geoip_country_city.length)]);
    <?php if ( empty($inputs['region']) && empty($inputs['region']) ) : ?>
    	jQuery('title').text('Gratuit : Des plans cul à proximité de ' + geoip_country_city[Math.floor(Math.random() * geoip_country_city.length)] + ' !');
    <?php endif; ?>

    var settings = {
            categories: ["sexy"],
            format: ["240x320","40x40"],
            context: "pdv",
            behaviour: 14,
            count: 12,
            language: "fr",
            niches: ["<?php echo $idThumbsShare; ?>"],
            metadata: true
        };

    <?php if ( $inputs['search'] == 'homme' ) : ?>
        settings['niches'] = ['153'];
    <?php elseif ( $inputs['search'] == 'trans' ) : ?>
        settings['niches'] = ['192'];
    <?php endif; ?>

    var ageMin = <?php echo $ages['min']; ?>;
    var ageMax = <?php echo $ages['max']; ?>;

    ThumbManager.getThumbs(settings, function(thumbs){
        if (thumbs.length) {

            if ( thumbs[0]['metadata']['age'] < ageMin || thumbs[0]['metadata']['age'] > ageMax )  {
                thumbs[0]['metadata']['age'] = Math.floor(Math.random() * ( ageMax - ageMin + 1 )) + ageMin
            }

            jQuery('.modalThumb').attr('src', thumbs[0]['url']['240x320'])
                                 .attr('alt', thumbs[0]['metadata']['nick']);
            jQuery('.modalPseudo').text(thumbs[0]['metadata']['nick']);

            jQuery('#profiles ul').each(function(i) {

                if ( thumbs[i]['metadata']['age'] < ageMin || thumbs[i]['metadata']['age'] > ageMax )  {
                    thumbs[i]['metadata']['age'] = Math.floor(Math.random() * ( ageMax - ageMin + 1)) + ageMin
                }

                jQuery(this).find('.img-thumbnail').attr('src', thumbs[i]['url']['240x320'])
                                                   .attr('alt', 'Contacter ' + thumbs[i]['metadata']['nick'])
                                                   .attr('data-thumb', thumbs[i]['url']['240x320'])
                                                   .attr('data-pseudo', thumbs[i]['metadata']['nick'])
                                                   .attr('data-ts', i)
                                                   .addClass('tsClick');
                jQuery(this).find('button').attr('data-thumb', thumbs[i]['url']['240x320'])
                                           .attr('data-pseudo', thumbs[i]['metadata']['nick'])
                                           .attr('data-ts', i)
                                           .addClass('tsClick');
                jQuery(this).find('.media-left a').attr('title', 'Contacter ' + thumbs[i]['metadata']['nick'])
                                                  .attr('data-thumb', thumbs[i]['url']['240x320'])
                                                  .attr('data-pseudo', thumbs[i]['metadata']['nick'])
                                                  .attr('data-ts', i)
                                                  .addClass('tsClick');
                jQuery(this).find('.media-left a img').attr('src', thumbs[i]['url']['40x40'])
                                                      .attr('alt', 'Contacter ' + thumbs[0]['metadata']['nick']);
                jQuery(this).find('.media-body h5').text(thumbs[i]['metadata']['nick']);
                jQuery(this).find('.media-body small').text(thumbs[i]['metadata']['age'] + ' ans');

            });

            jQuery('.tsClick').click(function (e) {
                e.preventDefault();
                var id = jQuery(this).attr('data-ts');
                thumbs[id].recordClick();
            });

        }

    });

    jQuery(".navbar-form").click(function (e) {

        e.preventDefault();
        jQuery('.modal-title').html("Inscription requise !<br><span>Aucun compte ne correspond à votre login, ouvrez votre compte gratuit !</span>");
        jQuery('#modalPseudo').text(jQuery(this).attr('data-pseudo'));
        jQuery('.modalAction').text(jQuery(this).attr('data-action'));
        jQuery('.modalThumb').attr('src', jQuery(this).attr('data-thumb'));
        jQuery('#inscriptionModal').modal('show');

    });

    jQuery(".modalLink").click(function (e) {

        e.preventDefault();

        jQuery('.modal-title').html("Inscription requise !");

        jQuery('#modalPseudo').text(jQuery(this).attr('data-pseudo'));
        jQuery('.modalAction').text(jQuery(this).attr('data-action'));
        jQuery('.modalThumb').attr('src', jQuery(this).attr('data-thumb'));
        jQuery('#inscriptionModal').modal('show');

    });

    var url = false,
        newWin = false,
        isSubmitted = false,
        isChrome = /chrome/.test( navigator.userAgent.toLowerCase() );

    jQuery('#regForm').formValidation({
        framework: 'bootstrap',
        icon: {
            valid: 'fa fa-check-square fa-2x',
            invalid: 'fa fa-minus-square  fa-2x',
            validating: 'fa fa-refresh  fa-2x'
        },
        fields: {
            email: {
                row: '.emailField',
                validators: { 
                    notEmpty: { message: 'Entrez votre mail.' }, 
                    emailAddress: { message: 'Entrez une adresse mail valide.' } 
                }
            },
            pseudo: {
                row: '.pseudoField',
                validators: { 
                    notEmpty: { message: 'Choisissez un pseudo.' }, 
                    regexp: {
                        regexp: /^([A-Za-z0-9]{4,20})$/,
                        message: 'Entre 4 et 20 caractère alphanumériques (A à Z, a à z, 0 à 9).'
                    }
                }
            },
            password: {
                row: '.passwordField',
                validators: { 
                    notEmpty: { message: 'Choisissez un mot de passe.' }, 
                    regexp: {
                        regexp: /^([A-Za-z0-9]{4,20})$/,
                        message: 'Entre 6 et 20 caractère alphanumériques (A à Z, a à z, 0 à 9).'
                    }
                }
            },
        }
    });

    jQuery('#regForm').submit(function(e) {

        e.preventDefault();

        if ( isSubmitted ) {
            return false;
        }
        isSubmitted = true;

        if ( jQuery('#regForm').data('formValidation').isValid() ) {

            jQuery('.modal-footer button[type="submit"]').html('<i class="fa fa-spinner fa-pulse fa-fw"></i> Création du compte')
                                                         .attr('disabled', 'disabled');

            if ( isChrome ) { 
                newWin = window.open(''); 
            }

            jQuery.ajax({
                url: "<?php echo $config['directory']; ?>/ws.php",  
                type: "post",  
                data: jQuery('#regForm').serialize(),
                dataType: 'json',
                async: false,
                success: function(obj) { 
                    if ( obj.status == 'ok' ) {

                        url = '<?php echo $config['directory']; ?>/bonus.php?formulaire=' + Base64.encode(obj.url) + '&profile=' + jQuery('.modalThumb').attr('src') + '&pseudo=' + jQuery('#pseudo').val();

                        jQuery('.downloadLink').attr('href', url);

                        jQuery('#regForm-1').hide();
                        jQuery('.modal-footer').hide();
                        jQuery('#regForm-2').show( 'shake', {}, 500 );

    				} else {

                        jQuery('.modal-footer button[type="submit"]').html('J\'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i>')
                                                                     .removeAttr('disabled');

                        isSubmitted = false;
                        if ( isChrome ) {
                            newWin.close();
                        }

                        var errorsList = 'Nous ne pouvons pas vous ouvvrir un compte car :' + "\n";
                        for ( var i in obj.errors ) {
                            errorsList += "-" + obj.errors[i] + "\n";
                        }
                        alert(errorsList);

                    }
                }
            });  

            if ( url ) {
                if ( isChrome ) {
                    newWin.location = url;
                } else {
                    newWin = window.open(url);
                }
            } 

        }

    });

});

var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9+/=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/rn/g,"n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
</script>


</body>
</html>